This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 236768 - package retry button crashes anaconda
package retry button crashes anaconda
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lehman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-17 12:00 EDT by mail@romal.de
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: anaconda-11.2.0.56-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-24 12:22:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda Crash dump from f7t3 (58.55 KB, text/plain)
2007-04-17 12:00 EDT, mail@romal.de
no flags Details

  None (edit)
Description mail@romal.de 2007-04-17 12:00:54 EDT
Description of problem:

Anaconda is crashing when booting with kernel-param noprobe and manually
selecting the storage-drivers.

Anaconda does see the harddisk, creates the partitions, ... and then crashes.

Version-Release number of selected component (if applicable):

devel 2007-04-17

How reproducible:

Every time.


Steps to Reproduce:
1. install rawhide with kernel param noprobe
2. 
3. 
  
Actual results:


Expected results:


Additional info:
Comment 1 mail@romal.de 2007-04-17 12:00:54 EDT
Created attachment 152829 [details]
Anaconda Crash dump from f7t3
Comment 2 Chris Lumens 2007-04-20 11:40:31 EDT
dlehman - urlgrabber appears to maintain two lists of mirrors.  One list is an
immutable list of all the mirrors, and the other is subtracted from as mirrors
are tried.  When this second list is exhausted, that's when
YumBackend.mirrorFailureCB is called.  The problem here is that we're not
repopulating the second mirror list  when the retry button is clicked, so kaboom.
Comment 3 David Lehman 2007-05-24 12:22:34 EDT
Mirror failure handling has improved as of anaconda-11.2.0.56-1. This specific
case is covered by these changes. Please reopen this bug if you find that the
problem persists.

Note You need to log in before you can comment on or make changes to this bug.